## opennebula 6.99.85

=== debian/changelog ===
opennebula (6.99.85-1) unstable; urgency=low

  * Build for 6.99.85-1 (Git revision 502028a8)

 -- OpenNebula Team <contact@opennebula.io>  Wed, 21 May 2025 23:12:20 +0000

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

# Handle group assignment: libvirt (Debian) and libvirtd (Ubuntu)
ifeq ($(shell dpkg-vendor --derives-from Ubuntu && echo yes),yes)
	LIB_VIRT_GROUP = libvirtd
else
	LIB_VIRT_GROUP = libvirt
endif

# Build arguments
ifneq (,$(filter opennebula-migration-community, $(shell dh_listpackages)))
	ARGS_ENTERPRISE = yes
else
	ARGS_ENTERPRISE = no
endif

ifneq (,$(filter opennebula-fireedge, $(shell dh_listpackages)))
	ARGS_FIREEDGE = yes
else
	ARGS_FIREEDGE = no
endif

# distribution specific content
DIR_SUDOERS  = 'debian'
DIR_SERVICES = 'systemd'
DIR_TMPFILES = ''
GEMFILE_LOCK = 'Debian11'

# https://wiki.debian.org/HardeningWalkthrough#Selecting_security_hardening_options
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

dpkg_buildflags = DEB_LDFLAGS_MAINT_APPEND="-Wl,--as-needed" dpkg-buildflags

# injecting CPPFLAGS to CFLAGS and CXXFLAGS
export CPPFLAGS:=$(shell $(dpkg_buildflags) --get CPPFLAGS)
export CFLAGS:=$(shell $(dpkg_buildflags) --get CFLAGS) $(CPPFLAGS)
export CXXFLAGS:=$(shell $(dpkg_buildflags) --get CXXFLAGS) $(CPPFLAGS)
export LDFLAGS:=$(shell $(dpkg_buildflags) --get LDFLAGS)
export MAKEFLAGS:=-j

%:
	dh $@ --with javahelper,bash-completion,systemd

override_dh_auto_build:
	#scons  mysql=yes new_xmlrpc=yes
	tar xzvf build_opennebula.tar.gz

	# we take only prebuilt Java OCA
	tar xzvf java-oca-*.tar.gz
	mv java-oca-*/jar/ src/oca/java/

ifneq (,$(filter opennebula-migration-community, $(shell dh_listpackages)))
	tar xzvf opennebula-ee-tools-*.tar.gz
endif
ifneq (,$(filter opennebula-rubygems, $(shell dh_listpackages)))
	tar xvf opennebula-rubygems-*.tar

	cd opennebula-rubygems-* && \
		NOKOGIRI_USE_SYSTEM_LIBRARIES=yes \
		CPATH=/usr/include/libxml2 \
		GEM_PATH=$$PWD/gems-dist/ \
		GEM_HOME=$$PWD/gems-dist/ \
			gem install \
				--local \
				--ignore-dependencies \
				--no-document \
				--conservative \
				--install-dir $$PWD/gems-dist \
				--bindir $$PWD/gems-dist/bin/ \
				$$(cat manifest)

	# drop build artifacts
	rm -rf opennebula-rubygems-*/gems-dist/cache \
		opennebula-rubygems-*/gems-dist/gems/*/ext
endif
ifneq (,$(filter opennebula-guacd, $(shell dh_listpackages)))
	unzip guacamole-server-*.zip

	cd guacamole-server-* && \
		autoreconf -i && \
		./configure \
			--prefix=/usr/share/one/guacd \
			--exec-prefix=/usr/share/one/guacd \
			--with-freerdp-plugin-dir=/usr/share/one/guacd \
			--disable-static \
			--without-pulse && \
		make
endif

ifneq (,$(filter opennebula-fireedge, $(shell dh_listpackages)))
	# build doesn't have set HOME, also we can't write into /etc
	echo 'cache=/tmp'        >> src/fireedge/.npmrc
	echo 'offline=true'      >> src/fireedge/.npmrc
	echo 'zmq_external=true' >> src/fireedge/.npmrc

	mkdir opennebula-fireedge-modules
	tar -xzvf opennebula-fireedge-modules*.tar.gz \
		-C opennebula-fireedge-modules/ \
		--strip-components=1

	# backup original package-lock.json and update dependencies locations
	# from remote https:// to local predownloaded files
	cd src/fireedge && \
		cp package-lock.json package-lock.json.bak && \
		sed -i -e 's/\(resolved": "\)https*:\/\//\1file:..\/..\/opennebula-fireedge-modules\//' package-lock.json
endif

	#XMLRPC_DIR="debian/" debian/build_opennebula.sh
	./build_opennebula.sh \
			systemd=yes \
			gitversion="$(shell cat debian/gitversion)" \
			enterprise="${ARGS_ENTERPRISE}" \
			fireedge="${ARGS_FIREEDGE}"

ifneq (,$(filter opennebula-fireedge, $(shell dh_listpackages)))
	mv -f src/fireedge/package-lock.json.bak src/fireedge/package-lock.json
	unlink src/fireedge/.npmrc
endif

ifneq (,$(filter opennebula-migration-community, $(shell dh_listpackages)))
	(cd one-ee-tools/src/onedb/ && \
	./build.rb)
endif

override_dh_auto_install:
ifeq ($(DEB_TARGET_ARCH),amd64)
	DESTDIR=dist ./install.sh
else
ifeq ($(DEB_TARGET_ARCH),arm64)
	DESTDIR=dist ./install.sh -a arm64
else
	echo "ERROR: Unsupported architecture '$(DEB_TARGET_ARCH)'" >&2
	exit 1
endif
endif

ifneq (,$(filter opennebula-migration-community, $(shell dh_listpackages)))
	(cd one-ee-tools && \
	DESTDIR=../dist ./install-ee-tools.sh -a /etc/apache2/sites-available )
	dh_install -p opennebula one-ee-tools/src/onegather/* /usr/bin
	dh_install -p opennebula one-ee-tools/src/oneverify/* /usr/bin
endif
ifneq (,$(filter opennebula-guacd, $(shell dh_listpackages)))
	cd guacamole-server-* && \
		make install DESTDIR=$(shell readlink -f dist)

	rm -rf dist/usr/share/one/guacd/include

	dh_install -p opennebula-guacd share/pkgs/services/${DIR_SERVICES}/opennebula-guacd.service \
		/lib/systemd/system/
endif
ifneq (,$(filter opennebula-migration-community, $(shell dh_listpackages)))
	dh_install -p opennebula-migration-community one-ee-tools/src/onedb/local/*_to_7.0.*.rbm \
		/usr/lib/one/ruby/onedb/local/
	dh_install -p opennebula-migration-community one-ee-tools/src/onedb/shared/*_to_7.0.*.rbm \
		/usr/lib/one/ruby/onedb/shared/
endif
ifneq (,$(filter opennebula-rubygems, $(shell dh_listpackages)))
	cp -a opennebula-rubygems-*/gems-dist dist/usr/share/one/
endif
ifneq (,$(filter opennebula-migration-community, $(shell dh_listpackages)))
	echo EE > dist/var/lib/one/remotes/EDITION
else
	echo CE > dist/var/lib/one/remotes/EDITION
endif
	dh_auto_install
ifneq (,$(filter opennebula-common, $(shell dh_listpackages)))
	dh_install -p opennebula-common share/pkgs/sudoers/${DIR_SUDOERS}/opennebula \
		/etc/sudoers.d
	dh_install -p opennebula-common share/pkgs/tmpfiles/${DIR_TMPFILES}/opennebula-common.conf \
		/usr/lib/tmpfiles.d/
	dh_install -p opennebula-common share/pkgs/tmpfiles/${DIR_TMPFILES}/opennebula-node.conf \
		/usr/lib/tmpfiles.d/
endif
ifneq (,$(filter opennebula, $(shell dh_listpackages)))
	dh_install -p opennebula share/pkgs/logrotate/opennebula /etc/logrotate.d/
	dh_install -p opennebula share/pkgs/logrotate/opennebula-hem /etc/logrotate.d/

	dh_install -p opennebula share/pkgs/services/${DIR_SERVICES}/opennebula.service \
		/lib/systemd/system/
	dh_install -p opennebula share/pkgs/services/${DIR_SERVICES}/opennebula-ssh-agent.service \
		/lib/systemd/system/
	dh_install -p opennebula share/pkgs/services/${DIR_SERVICES}/opennebula-ssh-socks-cleaner.service \
		/lib/systemd/system/
	dh_install -p opennebula share/pkgs/services/${DIR_SERVICES}/opennebula-ssh-socks-cleaner.timer \
		/lib/systemd/system/
	dh_install -p opennebula share/pkgs/services/${DIR_SERVICES}/opennebula-showback.service \
		/lib/systemd/system/
	dh_install -p opennebula share/pkgs/services/${DIR_SERVICES}/opennebula-showback.timer \
		/lib/systemd/system/
	dh_install -p opennebula share/pkgs/services/${DIR_SERVICES}/opennebula-hem.service \
		/lib/systemd/system/
	dh_install -p opennebula share/augeas/oned.aug /usr/share/augeas/lenses/
	dh_install -p opennebula share/pkgs/sudoers/opennebula-server /etc/sudoers.d/
endif
ifneq (,$(filter opennebula-fireedge, $(shell dh_listpackages)))
	dh_install -p opennebula-fireedge share/pkgs/logrotate/opennebula-fireedge /etc/logrotate.d/

	dh_install -p opennebula-fireedge share/pkgs/services/${DIR_SERVICES}/opennebula-fireedge.service \
		/lib/systemd/system/
endif
ifneq (,$(filter opennebula-gate, $(shell dh_listpackages)))
	dh_install -p opennebula-gate share/pkgs/logrotate/opennebula-gate /etc/logrotate.d/

	dh_install -p opennebula-gate share/pkgs/services/${DIR_SERVICES}/opennebula-gate.service \
		/lib/systemd/system/
endif
ifneq (,$(filter opennebula-flow, $(shell dh_listpackages)))
	dh_install -p opennebula-flow share/pkgs/logrotate/opennebula-flow /etc/logrotate.d/

	dh_install -p opennebula-flow share/pkgs/services/${DIR_SERVICES}/opennebula-flow.service \
		/lib/systemd/system/
endif
ifneq (,$(filter opennebula-node-kvm, $(shell dh_listpackages)))
	dh_install -p opennebula-node-kvm share/pkgs/sudoers/opennebula-node-kvm /etc/sudoers.d/
	dh_install -p opennebula-node-kvm share/etc/sysctl.d/bridge-nf-call.conf /etc/sysctl.d/
	dh_install -p opennebula-node-kvm share/etc/cron.d/opennebula-node /etc/cron.d/
endif

## opennebula 7.0.1

=== share/context/SConstruct ===
# SConstruct for share/scripts/rubygems

# -------------------------------------------------------------------------- #
# Copyright 2002-2025, OpenNebula Project, OpenNebula Systems                #
#                                                                            #
# Licensed under the Apache License, Version 2.0 (the "License"); you may    #
# not use this file except in compliance with the License. You may obtain    #
# a copy of the License at                                                   #
#                                                                            #
# http://www.apache.org/licenses/LICENSE-2.0                                 #
#                                                                            #
# Unless required by applicable law or agreed to in writing, software        #
# distributed under the License is distributed on an "AS IS" BASIS,          #
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.   #
# See the License for the specific language governing permissions and        #
# limitations under the License.                                             #
#--------------------------------------------------------------------------- #

import os

Import('env')

if env['context']=='yes':
    print ("Downloading OpenNebula context packages\n")
    exit_code=os.system("./download_context.sh")

    if exit_code != 0:
        print ("Error downloading OpenNebula context packages\n")
        exit(-1)

=== src/authm/SConstruct ===
# SConstruct for src/authm

# -------------------------------------------------------------------------- #
# Copyright 2002-2025, OpenNebula Project, OpenNebula Systems                #
#                                                                            #
# Licensed under the Apache License, Version 2.0 (the "License"); you may    #
# not use this file except in compliance with the License. You may obtain    #
# a copy of the License at                                                   #
#                                                                            #
# http://www.apache.org/licenses/LICENSE-2.0                                 #
#                                                                            #
# Unless required by applicable law or agreed to in writing, software        #
# distributed under the License is distributed on an "AS IS" BASIS,          #
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.   #
# See the License for the specific language governing permissions and        #
# limitations under the License.                                             #
#--------------------------------------------------------------------------- #

Import('env')

lib_name='nebula_authm'

# Sources to generate the library
source_files=[
    'AuthManager.cc',
    'AuthManagerProtocol.cc'
]

# Build library
env.StaticLibrary(lib_name, source_files)

=== src/client/SConstruct ===
# SConstruct for src/pool

# -------------------------------------------------------------------------- #
# Copyright 2002-2025, OpenNebula Project, OpenNebula Systems                #
#                                                                            #
# Licensed under the Apache License, Version 2.0 (the "License"); you may    #
# not use this file except in compliance with the License. You may obtain    #
# a copy of the License at                                                   #
#                                                                            #
# http://www.apache.org/licenses/LICENSE-2.0                                 #
#                                                                            #
# Unless required by applicable law or agreed to in writing, software        #
# distributed under the License is distributed on an "AS IS" BASIS,          #
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.   #
# See the License for the specific language governing permissions and        #
# limitations under the License.                                             #
#--------------------------------------------------------------------------- #

Import('env')

lib_name='nebula_client'

source_files=['Client.cc']

# Build library
env.StaticLibrary(lib_name, source_files)

=== src/cluster/SConstruct ===
# SConstruct for src/group

# -------------------------------------------------------------------------- #
# Copyright 2002-2025, OpenNebula Project, OpenNebula Systems                #
#                                                                            #
# Licensed under the Apache License, Version 2.0 (the "License"); you may    #
# not use this file except in compliance with the License. You may obtain    #
# a copy of the License at                                                   #
#                                                                            #
# http://www.apache.org/licenses/LICENSE-2.0                                 #
#                                                                            #
# Unless required by applicable law or agreed to in writing, software        #
# distributed under the License is distributed on an "AS IS" BASIS,          #
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.   #
# See the License for the specific language governing permissions and        #
# limitations under the License.                                             #
#--------------------------------------------------------------------------- #

Import('env')

lib_name='nebula_cluster'

# Sources to generate the library
source_files=[
    'ClusterPool.cc',
    'Cluster.cc',
    'ClusterTemplate.cc'
]

# Build library
env.StaticLibrary(lib_name, source_files)

=== src/datastore/SConstruct ===
# SConstruct for src/datastore

# -------------------------------------------------------------------------- #
# Copyright 2002-2025, OpenNebula Project, OpenNebula Systems                #
#                                                                            #
# Licensed under the Apache License, Version 2.0 (the "License"); you may    #
# not use this file except in compliance with the License. You may obtain    #
# a copy of the License at                                                   #
#                                                                            #
# http://www.apache.org/licenses/LICENSE-2.0                                 #
#                                                                            #
# Unless required by applicable law or agreed to in writing, software        #
# distributed under the License is distributed on an "AS IS" BASIS,          #
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.   #
# See the License for the specific language governing permissions and        #
# limitations under the License.                                             #
#--------------------------------------------------------------------------- #

Import('env')

lib_name='nebula_datastore'

# Sources to generate the library
source_files=[
    'DatastorePool.cc',
    'Datastore.cc',
    'DatastoreTemplate.cc'
]

# Build library
env.StaticLibrary(lib_name, source_files)

=== src/document/SConstruct ===
# SConstruct for src/document

# -------------------------------------------------------------------------- #
# Copyright 2002-2025, OpenNebula Project, OpenNebula Systems                #
#                                                                            #
# Licensed under the Apache License, Version 2.0 (the "License"); you may    #
# not use this file except in compliance with the License. You may obtain    #
# a copy of the License at                                                   #
#                                                                            #
# http://www.apache.org/licenses/LICENSE-2.0                                 #
#                                                                            #
# Unless required by applicable law or agreed to in writing, software        #
# distributed under the License is distributed on an "AS IS" BASIS,          #
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.   #
# See the License for the specific language governing permissions and        #
# limitations under the License.                                             #
#--------------------------------------------------------------------------- #

Import('env')

lib_name='nebula_document'

# Sources to generate the library
source_files=[
    'Document.cc',
    'DocumentTemplate.cc'
]

# Build library
env.StaticLibrary(lib_name, source_files)

=== src/fireedge/SConstruct ===
# SConstruct for share/man

# -------------------------------------------------------------------------- #
# Copyright 2002-2025, OpenNebula Project, OpenNebula Systems                #
#                                                                            #
# Licensed under the Apache License, Version 2.0 (the "License"); you may    #
# not use this file except in compliance with the License. You may obtain    #
# a copy of the License at                                                   #
#                                                                            #
# http://www.apache.org/licenses/LICENSE-2.0                                 #
#                                                                            #
# Unless required by applicable law or agreed to in writing, software        #
# distributed under the License is distributed on an "AS IS" BASIS,          #
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.   #
# See the License for the specific language governing permissions and        #
# limitations under the License.                                             #
#--------------------------------------------------------------------------- #

import os

Import('env')


if env['fireedge']=='yes':
    print ("Generating FireEdge minified files\n")

    if env['enterprise']=='yes':
        print("OpenNebula Enterprise FireEdge\n")
        exit_code=os.system("./build.sh -e")
    else:
        exit_code=os.system("./build.sh")

    if exit_code != 0:
        print ("Error generating minifying FireEdge files\n")
        exit(-1)

=== src/group/SConstruct ===
# SConstruct for src/group

# -------------------------------------------------------------------------- #
# Copyright 2002-2025, OpenNebula Project, OpenNebula Systems                #
#                                                                            #
# Licensed under the Apache License, Version 2.0 (the "License"); you may    #
# not use this file except in compliance with the License. You may obtain    #
# a copy of the License at                                                   #
#                                                                            #
# http://www.apache.org/licenses/LICENSE-2.0                                 #
#                                                                            #
# Unless required by applicable law or agreed to in writing, software        #
# distributed under the License is distributed on an "AS IS" BASIS,          #
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.   #
# See the License for the specific language governing permissions and        #
# limitations under the License.                                             #
#--------------------------------------------------------------------------- #

Import('env')

lib_name='nebula_group'

# Sources to generate the library
source_files=[
    'GroupPool.cc',
    'Group.cc',
    'GroupTemplate.cc'
]

# Build library
env.StaticLibrary(lib_name, source_files)

=== src/hm/SConstruct ===
# SConstruct for src/hm

# -------------------------------------------------------------------------- #
# Copyright 2002-2025, OpenNebula Project, OpenNebula Systems                #
#                                                                            #
# Licensed under the Apache License, Version 2.0 (the "License"); you may    #
# not use this file except in compliance with the License. You may obtain    #
# a copy of the License at                                                   #
#                                                                            #
# http://www.apache.org/licenses/LICENSE-2.0                                 #
#                                                                            #
# Unless required by applicable law or agreed to in writing, software        #
# distributed under the License is distributed on an "AS IS" BASIS,          #
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.   #
# See the License for the specific language governing permissions and        #
# limitations under the License.                                             #
#--------------------------------------------------------------------------- #

Import('env')

lib_name='nebula_hm'

# Sources to generate the library
source_files=[
    'Hook.cc',
    'HookPool.cc',
    'HookAPI.cc',
    'HookStateVM.cc',
    'HookStateHost.cc',
    'HookStateImage.cc',
    'HookStateVirtualNetwork.cc',
    'HookManager.cc',
    'HookManagerProtocol.cc',
    'ExecuteHook.cc',
    'HookLog.cc'
]

# Build library
env.StaticLibrary(lib_name, source_files)

=== src/im/SConstruct ===
# SConstruct for src/im

# -------------------------------------------------------------------------- #
# Copyright 2002-2025, OpenNebula Project, OpenNebula Systems                #
#                                                                            #
# Licensed under the Apache License, Version 2.0 (the "License"); you may    #
# not use this file except in compliance with the License. You may obtain    #
# a copy of the License at                                                   #
#                                                                            #
# http://www.apache.org/licenses/LICENSE-2.0                                 #
#                                                                            #
# Unless required by applicable law or agreed to in writing, software        #
# distributed under the License is distributed on an "AS IS" BASIS,          #
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.   #
# See the License for the specific language governing permissions and        #
# limitations under the License.                                             #
#--------------------------------------------------------------------------- #

Import('env')

lib_name='nebula_im'

# Sources to generate the library
source_files=[
    'InformationManager.cc',
]

# Build library
env.StaticLibrary(lib_name, source_files)

=== src/parsers/SConstruct ===
# SConstruct for src/template

# -------------------------------------------------------------------------- #
# Copyright 2002-2025, OpenNebula Project, OpenNebula Systems                #
#                                                                            #
# Licensed under the Apache License, Version 2.0 (the "License"); you may    #
# not use this file except in compliance with the License. You may obtain    #
# a copy of the License at                                                   #
#                                                                            #
# http://www.apache.org/licenses/LICENSE-2.0                                 #
#                                                                            #
# Unless required by applicable law or agreed to in writing, software        #
# distributed under the License is distributed on an "AS IS" BASIS,          #
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.   #
# See the License for the specific language governing permissions and        #
# limitations under the License.                                             #
#--------------------------------------------------------------------------- #

Import('env')

lib_name='nebula_parsers'

if env['parsers']=='yes':
    # LEX
    parser=env.Lex(
    source='template_parser.l'
    )

    parser=env.Lex(
    source='vm_var_parser.l'
    )

    parser=env.Lex(
    source='expr_parser.l'
    )
    env.NoClean(parser)

    # BISON
    parser=env.Bison(
        source='template_syntax.y'
    )

    parser=env.Bison(
    source='vm_var_syntax.y'
    )

    parser=env.Bison(
    source='vm_file_var_syntax.y'
    )

    parser=env.Bison(
    source='expr_arith.y'
    )

    parser=env.Bison(
    source='expr_bool.y'
    )
    env.NoClean(parser)

# Sources to generate the library
source_files=[
    'template_parser.cc',
    'template_syntax.cc',
    'vm_var_parser.cc',
    'vm_var_syntax.cc',
    'vm_file_var_syntax.cc',
    'expr_parser.cc',
    'expr_bool.cc',
    'expr_arith.cc',
    'mem_collector.cc'
]

# Build library
env.StaticLibrary(lib_name, source_files)

=== src/rm/SConstruct ===
# SConstruct for src/rm

# -------------------------------------------------------------------------- #
# Copyright 2002-2025, OpenNebula Project, OpenNebula Systems                #
#                                                                            #
# Licensed under the Apache License, Version 2.0 (the "License"); you may    #
# not use this file except in compliance with the License. You may obtain    #
# a copy of the License at                                                   #
#                                                                            #
# http://www.apache.org/licenses/LICENSE-2.0                                 #
#                                                                            #
# Unless required by applicable law or agreed to in writing, software        #
# distributed under the License is distributed on an "AS IS" BASIS,          #
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.   #
# See the License for the specific language governing permissions and        #
# limitations under the License.                                             #
#--------------------------------------------------------------------------- #

Import('env')

lib_name='nebula_rm'

#Sources to generate the library
source_files=[
    'Request.cc',
    'RequestManager.cc',
    'RequestManagerInfo.cc',
    'RequestManagerPoolInfoFilter.cc',
    'RequestManagerDelete.cc',
    'RequestManagerAllocate.cc',
    'RequestManagerVirtualNetwork.cc',
    'RequestManagerVirtualMachine.cc',
    'RequestManagerVMTemplate.cc',
    'RequestManagerUpdateTemplate.cc',
    'RequestManagerUser.cc',
    'RequestManagerGroup.cc',
    'RequestManagerHost.cc',
    'RequestManagerImage.cc',
    'RequestManagerChown.cc',
    'RequestManagerAcl.cc',
    'RequestManagerChmod.cc',
    'RequestManagerCluster.cc',
    'RequestManagerClone.cc',
    'RequestManagerSystem.cc',
    'RequestManagerRename.cc',
    'RequestManagerProxy.cc',
    'RequestManagerVdc.cc',
    'RequestManagerZone.cc',
    'RequestManagerDatastore.cc',
    'RequestManagerLock.cc',
    'RequestManagerMarketPlace.cc',
    'RequestManagerMarketPlaceApp.cc',
    'RequestManagerVirtualRouter.cc',
    'RequestManagerSecurityGroup.cc',
    'RequestManagerVMGroup.cc',
    'RequestManagerVNTemplate.cc',
    'RequestManagerHook.cc',
    'RequestManagerBackupJob.cc',
    'RequestManagerSchedAction.cc'
]

# Build library
env.StaticLibrary(lib_name, source_files)

=== debian/changelog ===
opennebula (7.0.1-1) unstable; urgency=low

  * Build for 7.0.1-1 (Git revision 708c6915)

 -- OpenNebula Team <contact@opennebula.io>  Wed, 22 Oct 2025 23:10:59 +0000

=== debian/control ===
# https://stackoverflow.com/questions/32590638/check-multiple-conditions-at-once-using-m4-preprocessor





Source: opennebula
Section: utils
Priority: extra
Maintainer: OpenNebula Team <contact@opennebula.io>
Build-Depends: bash-completion,
               bison,
               debhelper (>= 7.0.50~),
               default-jdk,
               flex,
               javahelper (>= 0.32),
               libmysql++-dev,
               libsqlite3-dev,
               libssl-dev,
               openssl,
                              libxml2-dev,
               libxmlrpc-c++8-dev,
                                             libxslt1-dev,
               libcurl4-openssl-dev,
               libcurl4,
               libsystemd-dev,
               libvncserver-dev,
               libnsl-dev,
               python3-setuptools,
               ruby,
               scons,
# Rubygems, TODO: reduce
               ruby-dev,
               make,
               gcc,
               libsqlite3-dev,
               libcurl4-openssl-dev,
               rake,
               libxml2-dev,
               libxslt1-dev,
               patch,
               g++,
               build-essential,
               libssl-dev,
               libaugeas-dev,
               nodejs (>= 10),
               libnode-dev (>= 10),
               npm,
               libzmq5,
               libzmq3-dev,
               make,
               g++,
               python3,
               unzip,
               libtool,
               autoconf,
               libcairo2-dev,
               libossp-uuid-dev,
               freerdp2-dev,
               libssh2-1-dev,
               libpango1.0-dev,
               libpulse-dev,
               libwebp-dev,
               libvorbis-dev,
               default-libmysqlclient-dev | libmysqlclient-dev
Standards-Version: 3.9.3
Homepage: http://opennebula.org/
Vcs-Git: git://git.debian.org/pkg-opennebula/opennebula.git
Vcs-Browser: http://git.debian.org/?p=pkg-opennebula/opennebula.git

Package: opennebula
Architecture: any
Pre-Depends: opennebula-common-onecfg (= ${source:Version})
Depends: apg,
         genisoimage,
         opennebula-common (= ${source:Version}),
         opennebula-tools (= ${source:Version}),
         opennebula-libs (= ${source:Version}),
         opennebula-migration (= ${source:Version}),
         opennebula-rubygems (= ${source:Version}),         libxmlrpc-c++8v5,
         wget,
         curl,
         rsync,
         tar,
         sqlite3,
         qemu-utils,
         libcurl4,
         iputils-arping,
         file,
         procps,
         sudo,
         uuid-runtime,
         libaugeas0,
         diffutils,
         git,
         patch,
         jq,
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: ruby-opennebula (<< 5.5.80),
          opennebula-flow (<< 5.0.2),
          opennebula-gate (<< 5.0.2),
          opennebula-common (<< 5.5.80),
          opennebula-addon-markets (<< 5.10.2),
          onescape (<< 5.13.80)
Breaks:  ruby-opennebula (<< 5.5.80),
         opennebula-flow (<< 5.0.2),
         opennebula-gate (<< 5.0.2),
         opennebula-common (<< 5.5.80),
         opennebula-addon-markets (<< 5.10.2),
         onescape (<< 5.13.80)
Suggests: mysql-server
Description: OpenNebula Server and Scheduler (Community Edition)

Package: opennebula-dbgsym
Architecture: any
Depends: opennebula (= ${source:Version}),
         ${misc:Depends}
Description: Debug symbols for package opennebula (Community Edition)


Package: opennebula-fireedge
Architecture: any
Pre-Depends: opennebula-common-onecfg (= ${source:Version})
Depends: opennebula-common (= ${source:Version}),
         nodejs (>= 10),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: opennebula-guacd (= ${source:Version})
Conflicts: opennebula (<< ${source:Version})
Description: OpenNebula web interface FireEdge (Community Edition)
 Browser based UI for OpenNebula application management.


Package: opennebula-gate
Architecture: all
Pre-Depends: opennebula-common-onecfg (= ${source:Version})
Depends: opennebula-common (= ${source:Version}),
         opennebula-libs (= ${source:Version}),
         opennebula-rubygems (= ${source:Version}),         ${misc:Depends}
Conflicts: opennebula (<< ${source:Version})
Description: OpenNebula Gate server (Community Edition)
 Server for information exchange between Virtual Machines and OpenNebula.

Package: opennebula-flow
Architecture: all
Pre-Depends: opennebula-common-onecfg (= ${source:Version})
Depends: opennebula-common (= ${source:Version}),
         opennebula-libs (= ${source:Version}),
         opennebula-rubygems (= ${source:Version}),         curl,
         ${misc:Depends}
Conflicts: opennebula (<< ${source:Version})
Description:  OpenNebula Flow server (Community Edition)
 Server for multi-VM orchestration.

Package: opennebula-common
Architecture: all
Pre-Depends: opennebula-common-onecfg (= ${source:Version})
Depends: adduser,
         openssh-client,
         jq,
         ${misc:Depends}
Recommends: lvm2, sudo (>= 1.7.2p1)
Replaces: opennebula (<< 5.11.90),
          opennebula-node (<< 5.11.90),
          opennebula-node-firecracker (<< 5.11.90)
Breaks: opennebula (<< 5.11.90),
        opennebula-node (<< 5.11.90),
        opennebula-node-firecracker (<< 5.11.90)
Description: Common OpenNebula package shared by various components (Community Edition)

Package: opennebula-common-onecfg
Architecture: all
Depends: ${misc:Depends}
Description: Helpers for OpenNebula onecfg (Community Edition)
Conflicts: opennebula-common-onescape

Package: opennebula-node-kvm
Architecture: all
Depends: adduser,
         libvirt-daemon-system,
         qemu-kvm | pve-qemu-kvm,
         qemu-utils,
         opennebula-common (= ${source:Version}),
         opennebula-rubygems (= ${source:Version}),         ruby,
         vlan,
         ipset,
         pciutils,
         rsync,
         tar,
         cron,
         augeas-tools,
         libxml2-utils,
         iptables,
         nftables,
         libnbd-bin,
         nfs-common,
         python3-numpy,
         python3-scipy,
         ${misc:Depends}
Breaks: opennebula-node (<< 5.13.80)
Replaces: opennebula-node (<< 5.13.80)
Recommends: openssh-server | ssh-server
Provides: opennebula-node
Conflicts: opennebula-node-lxc,
           opennebula-node-lxd,
           opennebula-node-firecracker
Description: Services for OpenNebula KVM node (Community Edition)

Package: opennebula-node-lxc
Architecture: any
Depends: adduser,
         opennebula-common (= ${source:Version}),
         opennebula-rubygems (= ${source:Version}),         ruby,
         vlan,
         ipset,
         pciutils,
         rsync,
         tar,
         cron,
         augeas-tools,
         libarchive-tools,
         libvncserver1,
         qemu-utils,
         bindfs,
         lxc,
         xfsprogs,
         e2fsprogs,
         passwd,
         libxml2-utils,
         iptables,
         nftables,
         nfs-common,
         python3-numpy,
         ${misc:Depends}
Suggests: rbd-nbd
Conflicts: opennebula-node-lxd,
           opennebula-node-kvm,
           opennebula-node-firecracker
Description: Services for OpenNebula LXC node (Community Edition)

Package: python3-pyone
Section: python
Architecture: all
Depends: python3,
         python3-lxml,
         python3-dict2xml,
         python3-xmltodict,
         python3-requests,
         ${misc:Depends},
         ${python:Depends}
Description: Python 3 bindings for OpenNebula Cloud API, OCA (Community Edition)

Package: opennebula-libs
Architecture: all
Depends: ruby,
         libzmq5,
# Devel package brings libzmq.so symlink required by ffi-rzmq-core gem
         libzmq3-dev,
         opennebula-rubygems (= ${source:Version}),         ${misc:Depends},
         ${ruby:Depends}
Breaks: opennebula-gate (<< 4.90.5),
        opennebula-tools (<< 5.13.80),
        ruby-opennebula (<< 5.13.80),
        opennebula (<< 5.13.80)
Replaces: opennebula-gate (<< 4.90.5),
          opennebula-tools (<< 5.13.80),
          ruby-opennebula (<< 5.13.80),
          opennebula (<< 5.13.80)
Description: OpenNebula libraries (Community Edition)


Package: opennebula-rubygems
Architecture: any
Depends: ruby,
         ${misc:depends},
         ${shlibs:Depends}
Conflicts: opennebula (<< ${source:Version}),
           opennebula-rubygem-activesupport,
           opennebula-rubygem-addressable,
           opennebula-rubygem-amazon-ec2,
           opennebula-rubygem-augeas,
           opennebula-rubygem-aws-eventstream,
           opennebula-rubygem-aws-sdk,
           opennebula-rubygem-aws-sdk-core,
           opennebula-rubygem-aws-sdk-resources,
           opennebula-rubygem-aws-sigv4,
           opennebula-rubygem-azure,
           opennebula-rubygem-azure-core,
           opennebula-rubygem-builder,
           opennebula-rubygem-chunky-png,
           opennebula-rubygem-concurrent-ruby,
           opennebula-rubygem-configparser,
           opennebula-rubygem-curb,
           opennebula-rubygem-daemons,
           opennebula-rubygem-dalli,
           opennebula-rubygem-eventmachine,
           opennebula-rubygem-faraday,
           opennebula-rubygem-faraday-middleware,
           opennebula-rubygem-ffi,
           opennebula-rubygem-ffi-rzmq,
           opennebula-rubygem-ffi-rzmq-core,
           opennebula-rubygem-hashie,
           opennebula-rubygem-highline,
           opennebula-rubygem-i18n,
           opennebula-rubygem-inflection,
           opennebula-rubygem-ipaddress,
           opennebula-rubygem-jmespath,
           opennebula-rubygem-memcache-client,
           opennebula-rubygem-mime-types,
           opennebula-rubygem-mime-types-data,
           opennebula-rubygem-mini-portile2,
           opennebula-rubygem-minitest,
           opennebula-rubygem-multipart-post,
           opennebula-rubygem-mustermann,
           opennebula-rubygem-mysql2,
           opennebula-rubygem-net-ldap,
           opennebula-rubygem-nokogiri,
           opennebula-rubygem-ox,
           opennebula-rubygem-parse-cron,
           opennebula-rubygem-polyglot,
           opennebula-rubygem-public-suffix,
           opennebula-rubygem-rack,
           opennebula-rubygem-rack-protection,
           opennebula-rubygem-rotp,
           opennebula-rubygem-rqrcode,
           opennebula-rubygem-rqrcode-core,
           opennebula-rubygem-scrub-rb,
           opennebula-rubygem-sequel,
           opennebula-rubygem-sinatra,
           opennebula-rubygem-sqlite3,
           opennebula-rubygem-systemu,
           opennebula-rubygem-thin,
           opennebula-rubygem-thor,
           opennebula-rubygem-thread-safe,
           opennebula-rubygem-tilt,
           opennebula-rubygem-treetop,
           opennebula-rubygem-trollop,
           opennebula-rubygem-tzinfo,
           opennebula-rubygem-uuidtools,
           opennebula-rubygem-xmlrpc,
           opennebula-rubygem-xml-simple,
           opennebula-rubygem-zendesk-api
Description: Ruby dependencies for OpenNebula (Community Edition)


Package: opennebula-tools
Architecture: all
Pre-Depends: opennebula-common-onecfg (= ${source:Version})
Depends: opennebula-common (= ${source:Version}),
         opennebula-libs (= ${source:Version}),
         opennebula-rubygems (= ${source:Version}),         util-linux,
         ${misc:Depends},
         ${ruby:Depends}
Recommends: bash-completion
Suggests: gnuplot-nox
Breaks: opennebula (<< 5.5.90),
        opennebula-addon-tools (<< 5.10.2)
Replaces: opennebula (<< 5.5.90),
          opennebula-addon-tools (<< 5.10.2)
Description: OpenNebula command line tools (Community Edition)

Package: libopennebula-java
Section: java
Architecture: all
Depends: ${java:Depends}, ${misc:Depends}
Description: Java bindings for OpenNebula Cloud API, OCA (Community Edition)

Package: libopennebula-java-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Recommends: ${java:Recommends}

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 endif
 
 # Build arguments
-ifneq (,$(filter opennebula-migration-community, $(shell dh_listpackages)))
+ifneq (,$(filter opennebula-ovirtapi, $(shell dh_listpackages)))
 	ARGS_ENTERPRISE = yes
 else
 	ARGS_ENTERPRISE = no
@@ -26,7 +26,7 @@
 DIR_SUDOERS  = 'debian'
 DIR_SERVICES = 'systemd'
 DIR_TMPFILES = ''
-GEMFILE_LOCK = 'Debian11'
+GEMFILE_LOCK = 'Debian12'
 
 # https://wiki.debian.org/HardeningWalkthrough#Selecting_security_hardening_options
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
@@ -44,14 +44,13 @@
 	dh $@ --with javahelper,bash-completion,systemd
 
 override_dh_auto_build:
-	#scons  mysql=yes new_xmlrpc=yes
 	tar xzvf build_opennebula.tar.gz
 
 	# we take only prebuilt Java OCA
 	tar xzvf java-oca-*.tar.gz
 	mv java-oca-*/jar/ src/oca/java/
 
-ifneq (,$(filter opennebula-migration-community, $(shell dh_listpackages)))
+ifneq (,$(filter opennebula-ovirtapi, $(shell dh_listpackages)))
 	tar xzvf opennebula-ee-tools-*.tar.gz
 endif
 ifneq (,$(filter opennebula-rubygems, $(shell dh_listpackages)))
@@ -80,7 +79,7 @@
 
 	cd guacamole-server-* && \
 		autoreconf -i && \
-		./configure \
+		CFLAGS=-Wno-error ./configure \
 			--prefix=/usr/share/one/guacd \
 			--exec-prefix=/usr/share/one/guacd \
 			--with-freerdp-plugin-dir=/usr/share/one/guacd \
@@ -119,11 +118,6 @@
 	unlink src/fireedge/.npmrc
 endif
 
-ifneq (,$(filter opennebula-migration-community, $(shell dh_listpackages)))
-	(cd one-ee-tools/src/onedb/ && \
-	./build.rb)
-endif
-
 override_dh_auto_install:
 ifeq ($(DEB_TARGET_ARCH),amd64)
 	DESTDIR=dist ./install.sh
@@ -136,11 +130,10 @@
 endif
 endif
 
-ifneq (,$(filter opennebula-migration-community, $(shell dh_listpackages)))
+ifneq (,$(filter opennebula-ovirtapi, $(shell dh_listpackages)))
 	(cd one-ee-tools && \
 	DESTDIR=../dist ./install-ee-tools.sh -a /etc/apache2/sites-available )
 	dh_install -p opennebula one-ee-tools/src/onegather/* /usr/bin
-	dh_install -p opennebula one-ee-tools/src/oneverify/* /usr/bin
 endif
 ifneq (,$(filter opennebula-guacd, $(shell dh_listpackages)))
 	cd guacamole-server-* && \
@@ -151,16 +144,10 @@
 	dh_install -p opennebula-guacd share/pkgs/services/${DIR_SERVICES}/opennebula-guacd.service \
 		/lib/systemd/system/
 endif
-ifneq (,$(filter opennebula-migration-community, $(shell dh_listpackages)))
-	dh_install -p opennebula-migration-community one-ee-tools/src/onedb/local/*_to_7.0.*.rbm \
-		/usr/lib/one/ruby/onedb/local/
-	dh_install -p opennebula-migration-community one-ee-tools/src/onedb/shared/*_to_7.0.*.rbm \
-		/usr/lib/one/ruby/onedb/shared/
-endif
 ifneq (,$(filter opennebula-rubygems, $(shell dh_listpackages)))
 	cp -a opennebula-rubygems-*/gems-dist dist/usr/share/one/
 endif
-ifneq (,$(filter opennebula-migration-community, $(shell dh_listpackages)))
+ifneq (,$(filter opennebula-ovirtapi, $(shell dh_listpackages)))
 	echo EE > dist/var/lib/one/remotes/EDITION
 else
 	echo CE > dist/var/lib/one/remotes/EDITION
@@ -218,3 +205,11 @@
 	dh_install -p opennebula-node-kvm share/etc/sysctl.d/bridge-nf-call.conf /etc/sysctl.d/
 	dh_install -p opennebula-node-kvm share/etc/cron.d/opennebula-node /etc/cron.d/
 endif
+ifneq (,$(filter opennebula-node-lxc, $(shell dh_listpackages)))
+	dh_install -p opennebula-node-lxc share/pkgs/sudoers/opennebula-node-lxc /etc/sudoers.d/
+	dh_install -p opennebula-node-lxc share/etc/sysctl.d/bridge-nf-call.conf /etc/sysctl.d/
+	dh_install -p opennebula-node-lxc share/etc/cron.d/opennebula-node /etc/cron.d/
+	dh_install -p opennebula-node-lxc share/etc/modprobe.d/opennebula-node-lxc.conf /etc/modprobe.d/
+	dh_install -p opennebula-node-lxc share/etc/modules-load.d/opennebula-node-lxc.conf /etc/modules-load.d/
+endif
+ifneq (,$(filter opennebula-libs, $(shell dh_listpackages)))
